Skip to main content
GET
/
extract
/
{job_id}
Retrieve the current state of an extraction job
curl --request GET \
  --url https://api.cloudglue.dev/v1/extract/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "<string>",
  "status": "pending",
  "url": "<string>",
  "created_at": 123,
  "extract_config": {
    "prompt": "<string>",
    "schema": {},
    "enable_video_level_entities": true,
    "enable_segment_level_entities": true,
    "enable_transcript_mode": true
  },
  "segmentation_id": "<string>",
  "data": {
    "entities": {},
    "segment_entities": [
      {
        "start_time": 123,
        "end_time": 123,
        "entities": {},
        "thumbnail_url": "<string>"
      }
    ],
    "thumbnail_url": "<string>"
  },
  "total": 123,
  "limit": 123,
  "offset": 123,
  "error": "<string>",
  "chapters": [
    {
      "index": 1,
      "start_time": 1,
      "end_time": 1,
      "description": "<string>"
    }
  ],
  "shots": [
    {
      "index": 1,
      "start_time": 1,
      "end_time": 1
    }
  ],
  "total_chapters": 1,
  "total_shots": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

The unique identifier of the extraction job

Query Parameters

limit
integer

Maximum number of segment entities to return

Required range: 1 <= x <= 100
offset
integer

Number of segment entities to skip

Required range: x >= 0
include_thumbnails
boolean

When true, include a file-level thumbnail_url in the data object and a per-segment thumbnail_url on each segment entity

include_chapters
boolean
default:false

Include narrative chapters in the response (when segmentation strategy is 'narrative')

include_shots
boolean
default:false

Include shot boundaries in the response (when segmentation strategy is 'shot-detector')

Response

Successful response with job details

job_id
string
required
status
enum<string>
required
Available options:
pending,
processing,
completed,
failed,
not_applicable
url
string

The URL of the processed video

created_at
integer

Unix timestamp in milliseconds when the job was created

extract_config
object

Configuration for automatic entity extraction from videos

segmentation_id
string

The ID of the segmentation job used for this extraction

data
object

The structured data extracted from the video based on prompt or schema. Only present when status is 'completed'.

total
integer

Total number of segment entities available. Only present when status is 'completed'.

limit
integer

Maximum number of segment entities returned per request. Only present when status is 'completed'.

offset
integer

Number of segment entities skipped. Only present when status is 'completed'.

error
string

Error message if status is 'failed'

chapters
object[]

Array of narrative chapters (only present when include_chapters=true and segmentation strategy is 'narrative')

shots
object[]

Array of shot boundaries (only present when include_shots=true and segmentation strategy is 'shot-detector')

total_chapters
integer

Total number of chapters (only present when include_chapters=true and segmentation strategy is 'narrative')

Required range: x >= 0
total_shots
integer

Total number of shots (only present when include_shots=true and segmentation strategy is 'shot-detector')

Required range: x >= 0